[//]: # (This is a comment)
[//]: # (Note: This is expected to be copied over to a blocker-review project readme or a similar file.)

## Fedora Blocker Review discussions
This is a place where Fedora contributors vote on Fedora release blockers. The process is described here:<br/>
https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process<br/>
https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process<br/>
https://fedoraproject.org/wiki/Blocker_Bug_FAQ<br/>

It is meant to replace or complement Blocker Bug Meetings:<br/>
https://fedoraproject.org/wiki/QA:SOP_Blocker_Bug_Meeting


### How to vote
Place a voting command on a separate line in the form of:<br/>
`TRACKER VOTE`

where `TRACKER` is one of:

* `BetaBlocker`
* `FinalBlocker`
* `BetaFE` - FE standing for FreezeException
* `FinalFE` - FE standing for FreezeException
* `0Day`
* `PreviousRelease`

and `VOTE` is one of:

* `+1` (to vote in favor)
* `0` ([no strong feelings one way or the other](https://www.youtube.com/watch?v=ussCHoQttyQ) or to take your vote back)
* `-1` (to vote against)

If you want to cast several votes, use several separate lines (in one or more comments):
```
BetaBlocker -1
BetaFE +1
FinalBlocker +1
```
Voting commands must not be mixed with arbitrary other words, this will **not** be counted:
```
BetaBlocker +1 haha
```

If you vote for the same tracker multiple times, only your last vote is counted. For example, if you submit these three comments:
```
BetaBlocker +1
BetaFE +1
BetaBlocker -1
```
then your resulting vote is `BetaBlocker -1 BetaFE +1`.

To take back your existing vote, simply re-vote it as `0`.

To get more familiar with the bug review process and different tracker types, see:<br/>
https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process


### Administrative commands
Members of the [fedora-qa](https://pagure.io/group/fedora-qa) Pagure group can issue administrative commands. Those commands are handled in the same way as voting commands, i.e. they need to be placed on a separate line and are case-insensitive. Those commands include:

`AGREED (Accepted|Rejected)TRACKER... [JUSTIFICATION]`

This will mark the specific tracker (one or more) as accepted or rejected. The justification is a free-form text that should then be copied to Bugzilla when setting appropriate blocker flags on the bug (this will happen automatically in the future, but currently it is the responsibility of the admin member). For example:
```
AGREED RejectedBetaBlocker AcceptedFinalBlocker This is not severe enough for Beta, but violates criterion X for Final.
```
Or:
```
AGREED RejectedBetaBlocker Happens only in very specific circumstances.
# a few comments later
AGREED AcceptedBetaFE We'll include the fix if it looks simple and safe.
```

A comment will be automatically added that will document the vote results at that particular point of time.

---

`REVOTE TRACKER...`

This will reset all votes for a specific tracker (one or more). When e.g. new information is discovered, this can be used to easily start a particular vote anew. Other trackers' votes will not be affected. For example:

```
REVOTE FinalBlocker FinalFE
```


### Usage notes
All commands are **case-insensitive**.

**Closed tickets** are not processed at all (neither for voting nor for administrative commands). If you want the bot to process a command, you need to re-open the ticket first.


### Help & contact
See contact information at:<br/>
https://fedoraproject.org/wiki/QA
